Get User Items
curl --request GET \
--url https://scrapebadger.com/v1/vinted/users/{user_id}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/vinted/users/{user_id}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/vinted/users/{user_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/vinted/users/{user_id}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/vinted/users/{user_id}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/vinted/users/{user_id}/items")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/vinted/users/{user_id}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"title": "<string>",
"price": {
"amount": "<string>",
"currency_code": "<string>"
},
"service_fee": "<string>",
"total_item_price": "<string>",
"brand_title": "<string>",
"size_title": "<string>",
"status": "<string>",
"photo": {
"id": 123,
"url": "<string>",
"full_size_url": "<string>",
"width": 123,
"height": 123,
"dominant_color": "<string>",
"is_main": true
},
"photos": [
{
"id": 123,
"url": "<string>",
"full_size_url": "<string>",
"width": 123,
"height": 123,
"dominant_color": "<string>",
"is_main": true
}
],
"url": "<string>",
"path": "<string>",
"user": {
"id": 123,
"login": "<string>",
"photo_url": "<string>",
"business": true
},
"favourite_count": 123,
"view_count": 123,
"is_visible": true,
"promoted": true,
"content_source": "<string>",
"seller_country_code": "<string>",
"display_title": "<string>",
"display_subtitle": "<string>",
"similarity_score": 123
}
],
"total_entries": 123,
"current_page": 123,
"per_page": 123
}Sellers
Get User Items
List all active items from a specific Vinted user.
GET
/
v1
/
vinted
/
users
/
{user_id}
/
items
Get User Items
curl --request GET \
--url https://scrapebadger.com/v1/vinted/users/{user_id}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/vinted/users/{user_id}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/vinted/users/{user_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/vinted/users/{user_id}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/vinted/users/{user_id}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/vinted/users/{user_id}/items")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/vinted/users/{user_id}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"title": "<string>",
"price": {
"amount": "<string>",
"currency_code": "<string>"
},
"service_fee": "<string>",
"total_item_price": "<string>",
"brand_title": "<string>",
"size_title": "<string>",
"status": "<string>",
"photo": {
"id": 123,
"url": "<string>",
"full_size_url": "<string>",
"width": 123,
"height": 123,
"dominant_color": "<string>",
"is_main": true
},
"photos": [
{
"id": 123,
"url": "<string>",
"full_size_url": "<string>",
"width": 123,
"height": 123,
"dominant_color": "<string>",
"is_main": true
}
],
"url": "<string>",
"path": "<string>",
"user": {
"id": 123,
"login": "<string>",
"photo_url": "<string>",
"business": true
},
"favourite_count": 123,
"view_count": 123,
"is_visible": true,
"promoted": true,
"content_source": "<string>",
"seller_country_code": "<string>",
"display_title": "<string>",
"display_subtitle": "<string>",
"similarity_score": 123
}
],
"total_entries": 123,
"current_page": 123,
"per_page": 123
}Path Parameters
Query Parameters
Response
Example Response
{
"items": [
{
"id": 4856231890,
"title": "Nike Air Force 1 '07 White",
"price": "45.00",
"currency": "EUR",
"brand_title": "Nike",
"size_title": "42",
"photo": {
"url": "https://images1.vinted.net/t/...",
"width": 800,
"height": 600
},
"url": "https://www.vinted.fr/items/4856231890",
"favourite_count": 12
}
],
"total_entries": 23,
"current_page": 1,
"per_page": 24
}
Each user items request costs 3 credits. Failed requests are not charged.

